List files in artifact version
curl --request POST \
--url https://{controlPlaneURL}/api/ml/v1/artifact-versions/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"path": "<string>",
"limit": 123,
"pageToken": "<string>"
}
'import requests
url = "https://{controlPlaneURL}/api/ml/v1/artifact-versions/files"
payload = {
"id": "<string>",
"path": "<string>",
"limit": 123,
"pageToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', path: '<string>', limit: 123, pageToken: '<string>'})
};
fetch('https://{controlPlaneURL}/api/ml/v1/artifact-versions/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"path": "<string>",
"is_dir": true,
"file_size": 123,
"signed_url": "<string>",
"last_modified": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 10,
"nextPageToken": "<string>",
"previousPageToken": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Artifacts
List files in artifact version
List files and directories in an artifact version.
POST
/
api
/
ml
/
v1
/
artifact-versions
/
files
List files in artifact version
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I